Skip to main content
GET
/
cms
/
{slug}
List CMS Items
curl --request GET \
  --url https://api.kardow.com/cms/{slug} \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "data": {},
      "status": "<string>",
      "starts_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "position": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}
By default returns up to 50 items. Use limit and offset for paging (maximum limit is 500). Filter on the status field to see drafts or items pending moderation.

Example

curl "https://api.kardow.com/cms/sponsors?status=published&limit=100" \
  -H "x-api-key: $KARDOW_API_KEY"

Authorizations

x-api-key
string
header
required

API key for authentication. Get yours from Settings > API Keys in the Kardow dashboard.

Path Parameters

slug
string
required

Query Parameters

status
enum<string>
Available options:
draft,
pending_review,
published,
expired,
archived
limit
integer
default:50
Required range: x <= 500
offset
integer
default:0

Response

Success

items
object[]
total
integer
limit
integer
offset
integer